import AwEActorSheet from "./base-actor-sheet.mjs"

export default class AwECreatureSheet extends AwEActorSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["creature"],
    position: {
      width: 700,
      height: "auto"
    },
    window: {
      contentClasses: ["creature-content"]
    }
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-adventures-with-emmy/templates/creature-main.hbs"
    }
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.enrichedDescription = await foundry.applications.ux.TextEditor.implementation.enrichHTML(
      this.document.system.description, { async: true }
    )
    return context
  }
}
